Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: проблема с обработкой файла на php в IDE phpstorm  (Прочитано 6426 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн BlinCT

  • Автор темы
  • Участник
  • *
  • Сообщений: 124
    • Просмотр профиля
Добрый день.
С пхп до этого не имел дела и сейчас пытался первый раз запустить. IDE меня очень устраивают от этой компании, стоят своих денег.
Так вот, пытаясь простйо файл на пхп и запустить мне среда выдает сообщение
php-cgi not found
Please ensure that configured PHP Interpreter built as CGI program (--enable-fastcgi was specified)
Я вижу что он пишет про проверку настройки интерпретатора. НО что именно с ним надо настроить?
Подскажите пожалуйста, уже час не могу разобраться.
Спасибо.

Оффлайн aSmile

  • Активист
  • *
  • Сообщений: 754
    • Просмотр профиля
php установлен? Из консоли получается запустить php-cgi?

Оффлайн BlinCT

  • Автор темы
  • Участник
  • *
  • Сообщений: 124
    • Просмотр профиля
php установлен. а вот php-cgi такого исполняемого фала нету(

Оффлайн unimix

  • Активист
  • *
  • Сообщений: 537
    • Просмотр профиля
Или надо установить пакет php5-cgi, в нём есть интерпретатор php5-cgi для CGI.
Или надо установить пакет php5-cli, в нём есть интерпретатор php5 для командной строки.
Если планируется разработка для веб-сервера, то желательно установить веб-сервер Apache с модулем PHP libapache2-mod-php5.

Какой PHP установлен, не известно.
« Последнее редактирование: 09 Мая 2014, 01:30:54 от unimix »

Оффлайн BlinCT

  • Автор темы
  • Участник
  • *
  • Сообщений: 124
    • Просмотр профиля
php5-cli установлен.
что то с настройкой а вот что я не могу понять.

 

Страница сгенерирована за 0.034 секунд. Запросов: 25.